uniform float jsl_pixCoordYOffset;
vec2 pixcoord = vec2(gl_FragCoord.x, jsl_pixCoordYOffset-gl_FragCoord.y);
uniform vec2 jsl_posValueYFlip;
vec4 jsl_sample(sampler2D img, vec2 pos) {
    pos.y = (jsl_posValueYFlip.x - pos.y) * jsl_posValueYFlip.y;
    return texture2D(img, pos);
}
uniform sampler2D botImg;
uniform sampler2D topImg;
uniform float opacity;
vec4 blend_lighten(vec4 bot, vec4 top) {
vec4 res;
res.rgb = max(bot.rgb, top.rgb);
res.a = bot.a + top.a - (bot.a * top.a);
return res;
}
void main() {
vec4 bot = jsl_sample(botImg, gl_TexCoord[0].st);
vec4 top = jsl_sample(topImg, gl_TexCoord[1].st) * opacity;
gl_FragColor = blend_lighten(bot, top);
}
