uniform float jsl_pixCoordYOffset;
vec2 pixcoord = vec2(gl_FragCoord.x, jsl_pixCoordYOffset-gl_FragCoord.y);
uniform vec2 jsl_posValueYFlip;
vec4 jsl_sample(sampler2D img, vec2 pos) {
    pos.y = (jsl_posValueYFlip.x - pos.y) * jsl_posValueYFlip.y;
    return texture2D(img, pos);
}
uniform sampler2D botImg;
uniform sampler2D topImg;
uniform float opacity;
vec4 blend_overlay(vec4 bot, vec4 top) {
vec4 res;
res.a = bot.a + top.a - bot.a * top.a;
vec3 mask = ceil(bot.rgb - bot.a * 0.5);
vec3 adjbot = abs(bot.rgb - mask * bot.a);
vec3 adjtop = abs(top.rgb - mask * top.a);
res.rgb = (2.0 * adjbot + 1.0 - bot.a) * adjtop + (1.0 - top.a) * adjbot;
res.rgb = abs(res.rgb - mask * res.a);
return res;
}
void main() {
vec4 bot = jsl_sample(botImg, gl_TexCoord[0].st);
vec4 top = jsl_sample(topImg, gl_TexCoord[1].st) * opacity;
gl_FragColor = blend_overlay(bot, top);
}
