uniform float jsl_pixCoordYOffset;
vec2 pixcoord = vec2(gl_FragCoord.x, jsl_pixCoordYOffset-gl_FragCoord.y);
uniform vec2 jsl_posValueYFlip;
vec4 jsl_sample(sampler2D img, vec2 pos) {
    pos.y = (jsl_posValueYFlip.x - pos.y) * jsl_posValueYFlip.y;
    return texture2D(img, pos);
}
uniform sampler2D baseImg;
uniform float threshold;
void main() {
vec3 luminanceVector = vec3(0.2125, 0.7154, 0.0721);
vec4 val = jsl_sample(baseImg, gl_TexCoord[0].st);
float luminance = dot(luminanceVector, val.rgb);
luminance = max(0.0, luminance - val.a * threshold);
gl_FragColor = val * sign(luminance);
}
