uniform float jsl_pixCoordYOffset;
vec2 pixcoord = vec2(gl_FragCoord.x, jsl_pixCoordYOffset-gl_FragCoord.y);
uniform vec2 jsl_posValueYFlip;
vec4 jsl_sample(sampler2D img, vec2 pos) {
    pos.y = (jsl_posValueYFlip.x - pos.y) * jsl_posValueYFlip.y;
    return texture2D(img, pos);
}
uniform sampler2D baseImg;
uniform float level;
void main() {
vec3 weightBW = vec3(0.3, 0.59, 0.11);
vec3 weightSep = vec3(1.6, 1.2, 0.9);
vec4 srcClr = jsl_sample(baseImg, gl_TexCoord[0].st);
float l = dot(srcClr.rgb, weightBW);
vec3 lum = vec3(l, l, l);
vec3 sep = lum * weightSep;
gl_FragColor.rgb = mix(sep, srcClr.rgb, 1.0 - level);
gl_FragColor.a = srcClr.a;
}
